// ********************************************************
//
// Record types to be included in files requiring direct
// internal mystic's file access
// by fabian@lucchi.me / BackToTheRoots BBS
// bttr.it-awareness.ch:2332
//
// 23.01.2017   1.0   First write, for Mystic 1.12 A31
//
// ********************************************************

Const
  cssMystic_System_FB   = 'fbases.dat';
  cssMystic_System_MB   = 'mbases.dat';
  cssMystic_System_FG   = 'groups_f.dat';
  cssMystic_System_MG   = 'groups_g.dat';

Type
  TMys_FileList = Record
                    sFileName   : String[70];
                    liSize      : LongInt;
                    liDateTime  : LongInt;
                    sUploader   : String[30];
                    byFlags     : Byte;
                    liDownloads : LongInt;
                    byRating    : Byte;
                    liDescPtr   : LongInt;
                    byDescLines : Byte;
                  End;

Type
  TGroupBase      = Record
                      iUniqueID    : LongInt;
                      sName        : String[30];
                      sACS         : String[30];
                      bHidden      : Boolean;
                    End;

Type
  TMessageBase    = Record
                      sName        : String[40];
                      sQWKName     : String[13];
                      sNewsName    : String[60];
                      sFilename    : String[40];
                      sPath        : String[80];
                      byUnused     : Byte;
                      byNetType    : Byte;
                      byReadType   : Byte;
                      byListType   : Byte;
                      sListACS     : String[30];
                      sReadACS     : String[30];
                      sPostACS     : String[30];
                      sNewsACS     : String[30];
                      sSysopACS    : String[30];
                      sSponsor     : String[30];
                      byColQuote   : Byte;
                      byColText    : Byte;
                      byColTear    : Byte;
                      byColOrigin  : Byte;
                      byColKludge  : Byte;
                      bNetAddr     : Byte;
                      sOrigin      : String[50];
                      byDefNScan   : Byte;
                      byDefQScan   : Byte;
                      wMaxMsgs     : Word;
                      wMaxAge      : Word;
                      sHeader      : String[20];
                      sRTemplate   : String[20];
                      sITemplate   : String[20];
                      wIndex       : Word;
                      liFlags      : LongInt;
                      liCreated    : LongInt;
                      sEchoTag     : String[40];
                      liQWKNetId   : LongInt;
                      wQWKConfId   : Word;
                      abReserved   : Array[1..29] Of Byte;
                    End;

Type
  TFileBase       = Record
                      wIndex       : Word;
                      sName        : String[40];
                      sFTPName     : String[60];
                      sFilename    : String[40];
                      sDispFile    : String[20];
                      sTemplate    : String[20];
                      sListACS     : String[30];
                      sFTPAcs      : String[30];
                      sDownloadACS : String[30];
                      sUploadACS   : String[30];
                      sHatchACS    : String[30];
                      sSysopACS    : String[30];
                      sPath        : String[80];
                      byDefScan    : Byte;
                      liFlags      : LongInt;
                      liCreated    : LongInt;
                      byNetAddr    : Byte;
                      sEchoTag     : String[30];
                    End;

